POST Agents/Dash/SaveDashTileHtmlList
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/Dash/SaveDashTileHtmlList
Set the HTML data for a tile with TileType = HTML.
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Dash/SaveDashTileHtmlList?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
DashboardTileDefinitionId, Languages
| Property Name | Type | Description |
|---|---|---|
| DashboardTileDefinitionId | Integer | |
| Languages | Array |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| LanguageCode | string | Content language |
| Html | string | HTML data |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Dash/SaveDashTileHtmlList
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8
{
"DashboardTileDefinitionId": 21,
"Languages": [
{
"LanguageCode": "in",
"Html": "earum"
},
{
"LanguageCode": "in",
"Html": "earum"
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"LanguageCode": "en-US",
"Html": "<div class='dashboard-tile'><h3>Active Projects</h3><ul><li>Website Redesign - 75% complete</li><li>CRM Migration - 45% complete</li><li>Mobile App Launch - 90% complete</li></ul></div>",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 562
}
}
},
{
"LanguageCode": "nb-NO",
"Html": "<div class='dashboard-tile'><h3>Aktive Prosjekter</h3><ul><li>Nettside Redesign - 75% fullført</li><li>CRM Migrering - 45% fullført</li><li>Mobilapp Lansering - 90% fullført</li></ul></div>",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 562
}
}
}
]